[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator +(Tvector2_extended, extended): Tvector2_extended

Add scalar to two-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 410

`operator operator +(Tvector2_extended, extended): Tvector2_extended(`
`const x: Tvector2_extended;`
`y: extended`
`):Tvector2_extended;`

## Description

This operator allows you to add a scalar value to a vector. The scalar is added to all elements of the vector, the result is returned as a new vector.

Documentation generated on: Feb 26 2014